
Redmine - Defect #11024

redmine_plugin_model generator does not create the migration

2012-05-25 10:13 - Giovanni D

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version: 2.0.1   

Resolution: Fixed Affected version: 2.0.0

Description

On Redmine 2.0.0, by following the tutorial on creating a new plugin (Plugin_Tutorial), the following command:

ruby script/generate redmine_plugin_model polls poll question:string yes:integer no:integer

 which actually I launched as:

./script/rails generate redmine_plugin_model polls poll question:string yes:integer no:integer

 does not generate the migration files, but it generates only these two files:

create  plugins/polls/app/models/poll.rb

create  plugins/polls/test/unit/poll_test.rb

Related issues:

Related to Redmine - Defect #10928: Documentation about generating a plugin i... Closed

Related to Redmine - Patch #27659: redmine_plugin_model_generator improvement... Closed

Associated revisions

Revision 9718 - 2012-05-26 10:50 - Jean-Philippe Lang

Fixed that plugin model generator does not generate the migration (#11024).

History

#1 - 2012-05-26 10:51 - Jean-Philippe Lang

- Category set to Plugin API

- Status changed from New to Resolved

- Target version set to 2.0.1

- Affected version (unused) set to 2.0.0

- Resolution set to Fixed

- Affected version set to 2.0.0

Fixed in r9718.

#2 - 2012-05-26 10:52 - Jean-Philippe Lang

- Subject changed from Redmine 2.0.0 redmine_plugin_model does not create the migration to redmine_plugin_model generator does not create the

migration

#3 - 2012-05-26 11:49 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

#4 - 2017-11-28 04:54 - Toshi MARUYAMA
https://www.redmine.org/projects/redmine/wiki/Plugin_Tutorial
https://www.redmine.org/projects/redmine/repository/svn/revisions/9718


- Description updated

#5 - 2017-11-28 04:55 - Toshi MARUYAMA

- Related to Patch #27659: redmine_plugin_model_generator improvements(fixes and timestamps) added

Powered by TCPDF (www.tcpdf.org)

2025-05-01 2/2

http://www.tcpdf.org

